import { Container, Stack, Button } from "react-bootstrap";

import type { Clue } from "../store/cluesSlice";
import { socket } from "../socket";

interface Props {
  activeClue: Clue;
}

// TODO implement timer

const ActiveClue = ({ activeClue }: Props) => {
  return (
    <Container>
      <p>{activeClue.question}</p>
      <Stack gap={3} className="text-center">
        <Button onClick={() => socket.emit("start-clue-clock")}>
          Start Timer
        </Button>
      </Stack>
    </Container>
  );
};

export default ActiveClue;
